View Issue Details

IDProjectCategoryView StatusLast Update
0015750MediaMonkey 5DLNA/UPnPpublic2019-07-01 19:33
Reporterpeke 
PriorityurgentSeveritycrashReproducibilityunable to reproduce
Status closedResolutionreopened 
Product Version 
Target Version5.0Fixed in Version5.0 
Summary0015750: DLNA: Browsing MM4 server for video Files fail and crash MM5 on close
DescriptionBrowsing MM4 server for video Files fail to play it and crash MM5 on close

LOG id 46CB422C
Steps To ReproduceUser steps to reproduce:
1. Open MM5
2. Access DLNA on MM4 on Other PC
3. Play some video File (Mp4, MKV,... ?) Fail
4. Close MM5 -> Crash log
Additional InformationPOB-982-93684
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=94605
TagsNo tags attached.
Fixed in build2185

Relationships

related to 0015751 closedmichal Some https video streams fails to play 
related to 0015779 closedLudek Podcast update: 'Not all close query events are finished' freeze 
related to 0015786 closedmichal DLNA: Playing Non Accessible track from MM4 crash MM5 

Activities

Ludek

2019-06-17 14:17

developer   ~0053851

Last edited: 2019-06-17 14:46

View 4 revisions

I can confirm that MM5 fails to play MP4 http links -- in my case it did not crash, but failed to play and then played as audio only.
MM4 plays MP4 links fine (I tested on http://192.168.0.10:21020/%5CPlaylists%5Ca3cf0d39-c1ca-4ffa-bc05-ee7ef8e2aa35%5CItemID=1370.mp4 )

Based on the logs in_mfaudio.dll tries to play the MP4 video link at first, but fails like this:
[10684] in_mfaudio: MP4 video detected, not supported

and then f_video.dll plugin continues with the playback and:

1) success in MM4 and plays as video
2) plays as audio only in MM5 (based my tests)
3) f_video debug messages aren't at all in the user log ( "2181 MM5 not playing video over dlna.LOG" attached to POB-982-93684 )
So it looks that the user either has not the f_video.dll plugin, or the f_video.dll plugin frozen on the link ?

Assigned to Michal to look into this.

Ludek

2019-06-19 15:29

developer   ~0053888

The playback issue from WMP is fixed in 2183

michal

2019-06-20 17:55

developer   ~0053915

The rest fixed in 2183, it plays for me now.

peke

2019-06-22 22:47

developer   ~0053945

Reopen Possible relation to 0015786 assigned to Ludek

michal

2019-06-24 12:28

developer   ~0053963

Fixed, really the same problem as in 0015786

peke

2019-06-28 20:20

developer   ~0054005

Last edited: 2019-06-28 20:35

View 2 revisions

Reopen Still happen, now crash with same ID on Skin Change and restart.

peke

2019-06-28 20:20

developer  

bug15750.jpg (31,017 bytes)
bug15750.jpg (31,017 bytes)

peke

2019-06-28 20:36

developer   ~0054006

Reverting back to 2183 and MM5 do not crash so this is regression.

peke

2019-06-28 20:39

developer   ~0054007

Same log is also in 0015779

Ludek

2019-06-29 09:57

developer   ~0054015

Last edited: 2019-06-29 09:57

View 2 revisions

46CB422C: is again the same deadlock related to TransExecLock that we've been solving recently, but aparently still isn't fixed :-/ Looking into it...

Ludek

2019-06-29 11:02

developer   ~0054016

Fixed in 2185

peke

2019-07-01 19:33

developer   ~0054059

Verified 2185

No more crashes for past day and half where 2184 couldn't be used normally for more than 15 Minutes, hopefully we fixed it.